
--[[
	We setup the global table for our mod, along with some path variables, and a data table.
	We cache the ModPath directory, so that when our hooks are called, we aren't using the ModPath from a
		different mod.
]]
_G.CoreInfamy = _G.CoreInfamy or {}
CoreInfamy._path = ModPath

CoreInfamy.dofiles = {
	--"options.lua",
	"color_hsvrgb.lua",
	"infamy_outliner.lua"
}

if not CoreInfamy.setup then

	for p, d in pairs(CoreInfamy.dofiles) do
		dofile(ModPath .. d)
	end
	CoreInfamy.setup = true
	log("[CoreInfamy] Loaded options")
end

--Our hook files.  Make sure all hooks in the mod.txt link to this Core.lua.
--If a feature isn't working, just comment it out before pushing a version.  Include a comment of what's broken, if possible.
CoreInfamy.hook_files = {
	["lib/tweak_data/infamytweakdata"] = "lua/InfamyTweakData.lua",
	["lib/managers/menumanager"] = "lua/MenuManager.lua",
	["lib/managers/skilltreemanager"] = "lua/SkillTreeManager.lua",
	["lib/managers/menu/skilltreeguinew"] = "lua/SkillTreeGUINew.lua"
}

if RequiredScript then
	local requiredScript = RequiredScript:lower()
	if CoreInfamy.hook_files[requiredScript] then
		dofile( ModPath .. CoreInfamy.hook_files[requiredScript] )
	end
end

--[[
	Load our localization keys for our menu, and menu items.
]]
Hooks:Add("LocalizationManagerPostInit", "LocalizationManagerPostInit_InfamyOutliner", function( loc )
	loc:load_localization_file( CoreInfamy._path .. "Loc/en.txt")
end)